Bug 480726 - lid test suite failed in rhel4 for the i386 plat (using hts-5.3-12)
lid test suite failed in rhel4 for the i386 plat (using hts-5.3-12)
Status: CLOSED WONTFIX
Product: Red Hat Hardware Certification Program
Classification: Red Hat
Component: Test Suite (tests) (Show other bugs)
5.3
All Linux
low Severity medium
: ---
: ---
Assigned To: Greg Nichols
Lawrence Lim
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-20 01:17 EST by Vivian Bian
Modified: 2014-03-25 20:56 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-02-27 16:37:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This is the result displayed in the terminal (159.26 KB, image/png)
2009-01-20 01:17 EST, Vivian Bian
no flags Details
the result.xml file in the /var/hts (31.29 KB, text/xml)
2009-01-20 01:18 EST, Vivian Bian
no flags Details

  None (edit)
Description Vivian Bian 2009-01-20 01:17:07 EST
Created attachment 329425 [details]
This is the result displayed in the terminal

Description of problem:
manually add the test suite lid to the hts test plan,with the device name 0,and run the test suite,but can't execute successfully

Version-Release number of selected component (if applicable):
hts-5.3-12.EL4.i386
kernel-2.6.9-78.28.EL
-----IBM T43 laptop ----
lid type :XGA TFT LCD 
lid size:14Inch
Resolution:1024/768

How reproducible:
Always

Steps to Reproduce:
1.# hts plan --add --test lid --device 0 
2.# hts print plan to check the lid test suite has been added 
3.# hts run -t lid
  
Actual results:
the lid test suite could be run,but will not gain the correct result

Expected results:
the lid test suite could check the hardware function successfully.

Additional info:
Comment 1 Vivian Bian 2009-01-20 01:18:11 EST
Created attachment 329426 [details]
the result.xml file in the /var/hts
Comment 2 Greg Nichols 2009-01-20 08:43:51 EST
Traceback (most recent call last):
  File "./lid.py", line 109, in ?
    returnValue = test.do(sys.argv)
  File "/usr/share/hts/lib/hts/test.py", line 256, in do
    return self.run()
  File "./lid.py", line 61, in run
    if not self.checkLid(checkForOpen=True):
  File "./lid.py", line 50, in checkLid
    device = self.getDevice()
  File "./lid.py", line 43, in getDevice
    device = hal.getDevice(self.getUDI())
  File "/usr/share/hts/lib/hts/hal.py", line 34, in getDevice
    return Device(Constants.hal, self.getDeviceProperties(udi))
  File "/usr/share/hts/lib/hts/hal.py", line 44, in getDeviceProperties
    return self.__GetDevice(udi).GetAllProperties()
  File "/usr/share/hts/lib/hts/hal.py", line 37, in __GetDevice
    dev_obj=self.bus.get_object('org.freedesktop.Hal',udi)
AttributeError: SystemBus instance has no attribute 'get_object'
...finished running ./lid.py, exit code=1

The lid test is not implemented for kudzu device detection on RHEL4.

Note You need to log in before you can comment on or make changes to this bug.